import { HttpRequest } from "../utils";
import BN from "bn.js";
export declare class NetworkService {
    httpRequest: HttpRequest;
    constructor(baseUrl: string);
    private createUrl;
    getBlockIncluded(network: string, blockNumber: number): Promise<{
        start: string;
        end: string;
        headerBlockNumber: string;
        blockNumber: BN;
    }>;
    getProof(network: string, start: any, end: any, blockNumber: any): Promise<any>;
}
